<?xml version="1.0" encoding="utf-8" standalone="no"?>
<application xmlns="http://ns.adobe.com/air/application/51.0">
    <id>com.distriqt.test</id>
    <filename>TestNativeWebView</filename>
    <name>TestNativeWebView</name>
    <versionNumber>0.0.1</versionNumber>

    <initialWindow>
        <content>[This value will be overwritten by Flash Builder in the output app.xml]</content>
        <autoOrients>true</autoOrients>
        <fullScreen>false</fullScreen>
        <visible>true</visible>

        <renderMode>direct</renderMode>
        <depthAndStencil>true</depthAndStencil>
     </initialWindow>

    <icon>
        <image16x16>icons/icon16x16.png</image16x16>
        <image29x29>icons/icon29x29.png</image29x29>
        <image32x32>icons/icon32x32.png</image32x32>
        <image36x36>icons/icon36x36.png</image36x36>
        <image48x48>icons/icon48x48.png</image48x48>
        <image57x57>icons/icon57x57.png</image57x57>
        <image72x72>icons/icon72x72.png</image72x72>
        <image114x114>icons/icon114x114.png</image114x114>
        <image128x128>icons/icon128x128.png</image128x128>
        <image512x512>icons/icon512x512.png</image512x512>
    </icon>

    <iPhone>
        <InfoAdditions><![CDATA[
            <key>UIDeviceFamily</key>
            <array>
                <string>1</string>
                <string>2</string>
            </array>

            <key>NSAppTransportSecurity</key>
            <dict>
                <key>NSAllowsArbitraryLoads</key>
                <true/>
            </dict>

            <key>UILaunchStoryboardName</key>
            <string>LaunchScreen</string>

            <key>MinimumOSVersion</key>
            <string>11.0</string>

        ]]></InfoAdditions>
        <requestedDisplayResolution>high</requestedDisplayResolution>
        <Entitlements>
            <![CDATA[
            ]]>
        </Entitlements>
    </iPhone>

    <android>
        <manifestAdditions><![CDATA[
            <manifest android:installLocation="auto">
                <uses-permission android:name="android.permission.INTERNET"/>

                <uses-sdk android:minSdkVersion="19" android:targetSdkVersion="33" />

                <queries>
                    <intent>
                        <action android:name="android.intent.action.VIEW" />
                        <data android:scheme="https" />
                    </intent>
                    <intent>
                        <action android:name="android.intent.action.VIEW" />
                        <data android:scheme="http" />
                    </intent>
                </queries>

                <application>
                    <activity>
                        <intent-filter>
                            <action android:name="android.intent.action.MAIN"/>
                            <category android:name="android.intent.category.LAUNCHER"/>
                        </intent-filter>
                        <intent-filter>
                            <action android:name="android.intent.action.VIEW"/>
                            <category android:name="android.intent.category.BROWSABLE"/>
                            <category android:name="android.intent.category.DEFAULT"/>
                            <data android:scheme="dtnwv" />
                        </intent-filter>
                    </activity>

                    <activity android:name="com.distriqt.extension.nativewebview.activities.BrowseActivity" android:theme="@android:style/Theme.Translucent.NoTitleBar" />

                </application>

            </manifest>
        ]]></manifestAdditions>
    </android>

    <extensions>
        <extensionID>com.distriqt.Core</extensionID>
        <extensionID>com.distriqt.NativeWebView</extensionID>

        <extensionID>androidx.browser</extensionID>
        <extensionID>androidx.core</extensionID>
    </extensions>

</application>
